Page MenuHomePhabricator

[AArch64][SVE2] Asm: add int halving add/sub (predicated) instructions
ClosedPublic

Authored by c-rhodes on May 16 2019, 3:49 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

c-rhodes created this revision.May 16 2019, 3:49 AM
rovka accepted this revision.May 17 2019, 1:33 AM

LGTM but I have one question :)

test/MC/AArch64/SVE2/shadd-diagnostics.s
32 ↗(On Diff #199780)

Should we also test that <Pg>/z errors out?

This revision is now accepted and ready to land.May 17 2019, 1:33 AM
c-rhodes added inline comments.May 17 2019, 1:46 AM
test/MC/AArch64/SVE2/shadd-diagnostics.s
32 ↗(On Diff #199780)

Yes good spot, I'll add test for that

This revision was automatically updated to reflect the committed changes.
c-rhodes marked an inline comment as done.May 20 2019, 3:33 AM